const express = require('express');
const app = express();

app.use(express.json());

app.get('/', (req, res, next) => {
  res.json({ message: 'Hello, world!' });
});

// ADD ROUTES HERE

app.all("*", (req, res, next) => {
  const err = new Error("Resource not found");
  err.statusCode = 404;
  next(err);
})

// ERROR HANDLER
app.use((err, req, res, next) => {
  
  const statusCode = err.statusCode ||  500;

  console.log("STATUS CODE: " + statusCode);
  console.log("ERROR", err);
  
  if(process.env.NODE_ENV == "production"){
    res.status(statusCode).json({message: "There has been an error!"});
  }else{
    res.status(statusCode).json({message: err.message, stacktrace: err.stack});
  }
});

module.exports = app;